<template>
    <section>
        <div class="epreuve-container" @click="redirectToNotes">
            <div class="epreuve-infos">
                <p> Nom : {{ epreuveData.nom }}</p>
            </div>
        </div>
    </section>
</template>

<script>
    import page from "page";

    export default {
        name: "Epreuve",
        data: function() {
            return {};
        },
        methods: {
            redirectToNotes() {
                page('/notes/'+this.epreuveData.id);
                window.location.reload();
            }
        },
        props: {
            epreuveData: Object
        }
    };
</script>

<style>
    .epreuve-container{
        display : flex;
    }

    .epreuve-infos {
        margin: 1% 1% 0 0;
    }
</style>